NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Preferences.SketchPreferences Class Reference

Represents the set of sketch preferences applicable on NXOpen.Sketch object More...

Inheritance diagram for NXOpen.Preferences.SketchPreferences:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DimensionLabelType { Expression, Name, Value }
 Describes the different options for displaying dimension labels. More...
 

Public Member Functions

unsafe void ApplySketchPreferences (int dimDisplayFlag)
 Applies sketch preferences set by user. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double ConstraintSymbolSize [get, set]
 Returns or sets the constraint symbol size More...
 
unsafe bool ContinuousAutoDimensioningSetting [get, set]
 Returns or sets the setting that controls whether or not to continuously create auto dimensions in a sketch. More...
 
unsafe bool CreateInferredConstraints [get, set]
 Returns or sets the setting that controls whether or not inferred constraints are automatically created when curves and points are created in the sketch. More...
 
unsafe
NXOpen.Preferences.SketchPreferences.DimensionLabelType 
DimensionLabel [get, set]
 Returns or sets the dimension label. More...
 
unsafe double DimensionTextScale [get, set]
 Returns or sets the scale of the dimension text. More...
 
unsafe bool DisplayObjectColor [get, set]
 Returns or sets the setting that controls whether or not objects are displayed in their actual color in sketch More...
 
unsafe bool DisplayObjectName [get, set]
 Returns or sets the setting that controls whether or not objects are displayed with their names in sketch. More...
 
unsafe bool DisplayParenthesesOnReferenceDimensions [get, set]
 Returns or sets the setting that controls whether or not parentheses are displayed on reference dimensions. More...
 
unsafe bool DisplayReferenceGeometry [get, set]
 Returns or sets the setting that controls whether or not the reference geometry are displayed on inactive sketches More...
 
unsafe bool DisplayShadedRegions [get, set]
 Returns or sets the setting that specifies whether or not closed curve regions are displayed as shaded regions in an active sketch. More...
 
unsafe bool DisplayVertices [get, set]
 Returns or sets the setting that controls whether or not vertices are displayed in an active sketch. More...
 
unsafe double FixedTextSize [get, set]
 Returns or sets the fixed text size. More...
 
unsafe double SolvingTolerance [get, set]
 Returns or sets the sketch solving tolerance. More...
 
Tag Tag [get]
 Returns the tag of this object. More...
 
unsafe bool TextSizeFixed [get, set]
 Returns or sets the setting that controls whether or not the dimension text size should be fixed. More...
 
unsafe bool UseSolvingTolerance [get, set]
 Returns or sets the setting that controls whether or not to use user input for sketch solving tolerance. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents the set of sketch preferences applicable on NXOpen.Sketch object

To obtain an instance of this class, refer to NXOpen.Sketch

Created in NX3.0.0

Member Enumeration Documentation

Describes the different options for displaying dimension labels.

Enumerator
Expression 

Displays the entire expression such as P2=P3*4

Name 

Displays only the name of the expression, such as P2

Value 

Displays the numerical value of the expression

Member Function Documentation

unsafe void NXOpen.Preferences.SketchPreferences.ApplySketchPreferences ( int  dimDisplayFlag)
inline

Applies sketch preferences set by user.

The dimDisplayFlag is the API version of the UI setting of Retain Dimensions which was last available for use in NX 6. The setting still exists in the UI for legacy parts that have a sketch with Retain Dimensions enabled. However, once the setting is turned off, it cannot be turned on again. This functionality is replaced by NXOpen.Annotations.AnnotationManager.MakePmi in an active sketch or NXOpen.Features.EditDimensionBuilder.DisplayAsPmi when not in an active sketch.

Created in NX3.0.0

License requirements: None.

Parameters
dimDisplayFlagIf sketch dimensions are already displayed outside of an active sketch, Set 0 to turn off the display of dimensions outside of the active sketch.

Property Documentation

unsafe double NXOpen.Preferences.SketchPreferences.ConstraintSymbolSize
getset

Returns or sets the constraint symbol size

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SketchPreferences.ContinuousAutoDimensioningSetting
getset

Returns or sets the setting that controls whether or not to continuously create auto dimensions in a sketch.

If the option is true (On) then the auto dimensioner will be automatically executed after an individual curve is created in a sketch.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SketchPreferences.CreateInferredConstraints
getset

Returns or sets the setting that controls whether or not inferred constraints are automatically created when curves and points are created in the sketch.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe NXOpen.Preferences.SketchPreferences.DimensionLabelType NXOpen.Preferences.SketchPreferences.DimensionLabel
getset

Returns or sets the dimension label.

Controls how expressions in sketch dimensions are displayed

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.SketchPreferences.DimensionTextScale
getset

Returns or sets the scale of the dimension text.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SketchPreferences.DisplayObjectColor
getset

Returns or sets the setting that controls whether or not objects are displayed in their actual color in sketch

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SketchPreferences.DisplayObjectName
getset

Returns or sets the setting that controls whether or not objects are displayed with their names in sketch.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SketchPreferences.DisplayParenthesesOnReferenceDimensions
getset

Returns or sets the setting that controls whether or not parentheses are displayed on reference dimensions.

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SketchPreferences.DisplayReferenceGeometry
getset

Returns or sets the setting that controls whether or not the reference geometry are displayed on inactive sketches

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SketchPreferences.DisplayShadedRegions
getset

Returns or sets the setting that specifies whether or not closed curve regions are displayed as shaded regions in an active sketch.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SketchPreferences.DisplayVertices
getset

Returns or sets the setting that controls whether or not vertices are displayed in an active sketch.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe double NXOpen.Preferences.SketchPreferences.FixedTextSize
getset

Returns or sets the fixed text size.

It is the visible dimension size when text size fixed is enabled.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe double NXOpen.Preferences.SketchPreferences.SolvingTolerance
getset

Returns or sets the sketch solving tolerance.

This specifies the maximum allowable distance between two objects when solving the sketch constraints for the given sketch. The tolerance value must be greater than 1e-08.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Tag NXOpen.Preferences.SketchPreferences.Tag
get

Returns the tag of this object.

unsafe bool NXOpen.Preferences.SketchPreferences.TextSizeFixed
getset

Returns or sets the setting that controls whether or not the dimension text size should be fixed.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SketchPreferences.UseSolvingTolerance
getset

Returns or sets the setting that controls whether or not to use user input for sketch solving tolerance.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.